Tickets
Get ticket
Developer API operation for GET /dev/v1/tickets/.
GET
/
dev
/
v1
/
tickets
/
{id}
Get ticket
curl --request GET \
--url https://api.shoppex.io/dev/v1/tickets/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.shoppex.io/dev/v1/tickets/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.shoppex.io/dev/v1/tickets/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.shoppex.io/dev/v1/tickets/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.shoppex.io/dev/v1/tickets/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "ticket_db_1",
"uniqid": "ticket_1",
"shop_id": "shop_1",
"invoice_id": "inv_1",
"customer_email": "[email protected]",
"title": "Need help",
"status": "OPEN",
"created_at": 1711972800,
"updated_at": 1711973400,
"updated_by": "user_1",
"messages": [
{
"id": "msg_1",
"role": "CUSTOMER",
"message": "Please check my order.",
"created_at": 1711972800
},
{
"id": "msg_2",
"role": "SHOP",
"message": "We are looking into it.",
"created_at": 1711973400
}
],
"invoice": {
"uniqid": "inv_1",
"customer_email": "[email protected]",
"product_title": "Starter Pack",
"total_display": 19.99,
"currency": "USD",
"location": "Berlin",
"created_at": 1711971000
}
}
}⌘I
Get ticket
